package com.tofly.water.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PupmSupplyVo {
    @ApiModelProperty("泵站id")
    public  Long pumpId;
    @ApiModelProperty("泵站名称")
    public  String pumpName;

    @ApiModelProperty("泵站今日供水量(m³)")
    public BigDecimal pumpSupplyDay=new BigDecimal(0);

    @ApiModelProperty("泵站今日用电量")
    public  BigDecimal pumpPowerDay=new BigDecimal(0);


    @ApiModelProperty("泵站今年供水量(m³)")
    public BigDecimal pumpSupplyYear=new BigDecimal(0);

    @ApiModelProperty("泵站今年用电量")
    public  BigDecimal pumpPowerYear=new BigDecimal(0);


    @ApiModelProperty("报警状态（0未报警,1已报警")
    public  int alarmStatus=0;

}
